@extends('layouts.app')
@section('title', $title = 'Login')
@section('content')
<form method="POST" action="{{ route('login') }}">
    @csrf
    <div class="d-flex align-items-center justify-content-center vh-100">
        <div class="container auth bg-white justify-content-center rounded p-4">
            <div class="text-center pt-3">
                <h2 class="text-success fw-bold">SPK</h2>
                <p class="text-success">Rekomendasi menu makanan penderita diabetes melitus</p>
            </div>
            <div>
                <hr>
            </div>
            <div class="form-group">
                <label for="name">Username</label>
                <input type="text" class="form-control @error('name') is-invalid @enderror" id="name" name="name" value="{{ old('name') }}">
                @error('name')
                    <span class="invalid-feedback" role="alert">
                        {{ $message }}
                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" class="form-control @error('password') is-invalid @enderror" id="password" name="password" value="{{ old('password') }}">
                @error('password')
                    <span class="invalid-feedback" role="alert">
                        {{ $message }}
                    </span>
                @enderror
            </div>
            <div class="mt-3 w-100">
                <button type="submit" class="btn btn-success w-100">Login</button>
            </div>
            <div class="mt-2  d-flex justify-content-end pb-3">
                <a class="underline text-sm text-dark" href="{{ route('password.request') }}">
                    {{ __('Lupa kata sandi?') }}
                </a>
            </div>
        </div>
    </div>
</form>
@endsection

