@extends('layouts.app')
@section('title', $title = 'Password Reset')
@section('content')
<form method="POST" action="{{ route('password.store') }}">
    @csrf
    <div class="d-flex align-items-center justify-content-center vh-100">
        <div class="container auth bg-white justify-content-center rounded p-4">
            <div class="text-center pt-3">
                <h2 class="text-success fw-bold">Masukkan Kata Sandi Baru</h2>
                <p class="text-success">Masukkan kata sandi yang berbeda dari sebelumnya</p>
            </div>
            <div>
                <hr>
            </div>
            <input type="hidden" name="token" value="{{ $request->route('token') }}">
            <div class="form-group">
                <label for="email">Email</label>
                <input type="email" class="form-control @error('email') is-invalid @enderror" id="email" name="email" value="{{ $request->email }}">
                @error('email')
                    <span class="invalid-feedback" role="alert">
                        {{ $message }}
                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input type="password" class="form-control @error('password') is-invalid @enderror" id="password" name="password" value="{{ old('password') }}">
                @error('password')
                    <span class="invalid-feedback" role="alert">
                        {{ $message }}
                    </span>
                @enderror
            </div>
            <div class="form-group">
                <label for="password_confirmation">Ulangi Password</label>
                <input type="password" class="form-control @error('password_confirmation') is-invalid @enderror" id="password_confirmation" name="password_confirmation" value="{{ old('password_confirmation') }}">
                @error('password_confirmation')
                    <span class="invalid-feedback" role="alert">
                        {{ $message }}
                    </span>
                @enderror
            </div>
            <div class="mt-3 w-100">
                <button type="submit" class="btn btn-success w-100">Simpan</button>
            </div>
        </div>
    </div>
</form>
@endsection


