@extends('layouts.main')

@section('title', $title = 'Detail Data Pasien')

@section('content')
<div class="container pt-5 mb-5">
    <div class="row gy-4 shadow mb-4 bg-body-tertiary rounded">
        <h3 class="mb-0">Data Pasien</h3>
        <p class="text-success mt-0">Detail Data Pasien / {{ $pasien->nama }}</p>
    </div>
    <div class="row gy-4">
        <div class="pt-3 card">
            <div class="row">
                <div class="col-sm-12 pb-3 pt-3">
                    <a href="{{ route('pasien.index') }}" class="font-sm btn btn-warning text-white"><i class='bx bx-chevron-left'></i> Kembali</a>
                </div>
            </div>
            <div class="row">
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="nama">Nama</label>
                        <input type="text" class="form-control" id="nama" value="{{ $pasien->nama }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="jenis_kelamin">Jenis Kelamin</label>
                        <input type="text" class="form-control" id="jenis_kelamin" value="{{ $pasien->jenisKelamin->jenis_kelamin }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="umur">Umur</label>
                        <input type="text" class="form-control" id="umur" value="{{ $pasien->umur }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="berat">Berat Badan (Kg)</label>
                        <input type="text" class="form-control" id="berat" value="{{ $pasien->berat }}" readonly>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="form-group">
                        <label for="tinggi">Tinggi Badan (Cm)</label>
                        <input type="text" class="form-control" id="tinggi" value="{{ $pasien->tinggi }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="aktivitas">Aktivitas</label>
                        <input type="text" class="form-control" id="aktivitas" value="{{ $pasien->aktivitas->nama }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="kadar_gula">Kadar Gula Darah (mg/dl)</label>
                        <input type="text" class="form-control" id="kadar_gula" value="{{ $pasien->kadarGula->kadar_gula }}" readonly>
                    </div>
                    <div class="form-group">
                        <label for="kebutuhan_kalori">Kebutuhan Kalori</label>
                        <input type="text" class="form-control" id="kebutuhan_kalori" value="{{ $pasien->kebutuhanKalori->kebutuhan_kalori }}" readonly>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
@endsection
